Page MenuHomePhabricator

Contact top five Wikivoyages using RelatedSites about deprecation
Closed, ResolvedPublic

Description

RelatedSites is a Wikivoyage extension that provides interwiki links. Since this functionality is redundant to Wikidata's interwiki linking, the extension can be removed and affected pages can be scrubbed of links.

There are about 20 Wikivoyage wikis using related sites, but only the top five have over five hundred pages using the extension: Greek, Spanish, Portuguese, Polish, and Dutch. The Community Tech team needs to contact these wikis to find out two things.

  1. Are they okay with removing RelatedSites?
  2. Would they like help removing the links from pages?

Text (and translations) of the message is here:

https://meta.wikimedia.org/wiki/User:Keegan_(WMF)/RelatedSites

  • Spanish - Okay with RelatedSites removal. Have removed most of the links, rest will be removed using script.
  • Dutch - Okay with RelatedSites removal. Have removed all of the links.
  • Greek - Not a big enough community. Will remove RelatedSites and clean-up links with script.
  • Polish - Not a big enough community. Will remove RelatedSites and clean-up links with script.
  • Portugese - Not a big enough community. Will remove RelatedSites and clean-up links with script.

Event Timeline

Keegan created this task.Jul 11 2018, 7:46 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 11 2018, 7:46 PM
Keegan triaged this task as Normal priority.Jul 11 2018, 7:46 PM
Keegan raised the priority of this task from Normal to Needs Triage.

The Spanish Wikivoyage is all but done removing their links themselves, they're fine with the extension removal.

The Dutch are looking into it, making sure that the Wikidata links have 1:1 correspondence to RelatedSites.

No word on Greek or Polish yet.

I've found a Portuguese translator that I'm reaching out to personally.

Great, thanks for the update @Keegan!

CC @Jrbranaa This is the ticket to deprecate RelatedSites on the top 5 wikis as I mentioned in my last update.

RelatedSites is used at the German Wikivoyage because the user namespace is not supported by Wikidata. We need a set of interwiki-links like [[commons:...]] for sister projects similar to interlanguage links [[en:...]]

RelatedSites is used at the German Wikivoyage because the user namespace is not supported by Wikidata. We need a set of interwiki-links like [[commons:...]] for sister projects similar to interlanguage links [[en:...]]

The extension was not meant for linking to user pages. The better way to handle user namespace links is by having Userboxes or by adding the links on the User page instead of the sidebar.

Keegan added a comment.Aug 3 2018, 9:26 PM

Portuguese
Pre-Wikimania translation request didn't come through, so I found a new person today to ask:
https://www.mediawiki.org/wiki/User_talk:Hamilton_Abreu#Translation_request

Spanish
I think that they are ready for removal, having cleaned up the pages themselves. I suggest you post there for affirmation as the person responsible for the change when it goes live, you can post in English (my first post is already archived): https://es.wikivoyage.org/wiki/Wikiviajes:La_posada

Dutch
The Dutch seem confused about if all the links are 1:1 or not, but overall I don't think they care. I suggest you followup with them, English is fine: https://nl.wikivoyage.org/wiki/Wikivoyage:Reizigerscaf%C3%A9#RelatedSites

Polish
Doesn't seem to be a cohesive community to ask, but one person volunteered to help remove links by script. You can contact them in English on their Polish Wikipedia talk page: https://pl.wikipedia.org/wiki/Dyskusja_wikipedysty:Katafrakt

Greek:
No response, doesn't seem to have a community. I suggest just doing it ourselves.

Spanish follow-up posted: https://es.wikivoyage.org/wiki/Wikiviajes:La_posada#RelatedSites_removal

The Dutch seem to have cleared the links and are okay with un-deploying the extension: https://nl.wikivoyage.org/wiki/Wikivoyage:Reizigerscafé#RelatedSites

For Polish, since we are writing a script to remove the links in T201215: Write a script to remove RelatedSites links from pages on a given wiki, we could just use that.

@Keegan - When we remove the links from the pages, do you think we should let them be on the user pages or should we clean those up too? Technically speaking, it's no extra work though I'm wondering if people would be averse to a bot touching their user pages, even if it's to remove dead links.

Keegan added a comment.Aug 8 2018, 5:01 PM

Spanish follow-up posted: https://es.wikivoyage.org/wiki/Wikiviajes:La_posada#RelatedSites_removal

The Dutch seem to have cleared the links and are okay with un-deploying the extension: https://nl.wikivoyage.org/wiki/Wikivoyage:Reizigerscafé#RelatedSites

For Polish, since we are writing a script to remove the links in T201215: Write a script to remove RelatedSites links from pages on a given wiki, we could just use that.

@Keegan - When we remove the links from the pages, do you think we should let them be on the user pages or should we clean those up too? Technically speaking, it's no extra work though I'm wondering if people would be averse to a bot touching their user pages, even if it's to remove dead links.

Bots editing userpages to remove dead links should be fine. I think if we're moving the links, we should do so 100%.

Spanish follow-up posted: https://es.wikivoyage.org/wiki/Wikiviajes:La_posada#RelatedSites_removal

The Dutch seem to have cleared the links and are okay with un-deploying the extension: https://nl.wikivoyage.org/wiki/Wikivoyage:Reizigerscafé#RelatedSites

For Polish, since we are writing a script to remove the links in T201215: Write a script to remove RelatedSites links from pages on a given wiki, we could just use that.

@Keegan - When we remove the links from the pages, do you think we should let them be on the user pages or should we clean those up too? Technically speaking, it's no extra work though I'm wondering if people would be averse to a bot touching their user pages, even if it's to remove dead links.

Bots editing userpages to remove dead links should be fine. I think if we're moving the links, we should do so 100%.

Gotcha. Thanks.

Niharika updated the task description. (Show Details)Aug 8 2018, 5:19 PM

RelatedSites is used at the German Wikivoyage because the user namespace is not supported by Wikidata. We need a set of interwiki-links like [[commons:...]] for sister projects similar to interlanguage links [[en:...]]

The extension was not meant for linking to user pages. The better way to handle user namespace links is by having Userboxes or by adding the links on the User page instead of the sidebar.

When I personally wrote the extension in 2007, and it was of course intended to link the user pages. If we remove RelatedSites then we have no substitute. If it would be allowed to add user pages to Wikidata we would not have any problems. But as I already told the interwiki sidebar links are missing which could be a substitute. At the German Wikivoyage we do not use userboxes in that extend as it was used in Wikipedias, and we do not use it for interwiki links -- it is unnecessary work for admins. And why we should use userboxes if we have "in other projects" on the sidebar?

We should add interwiki support to Wikidata's "other projects" first.

By the way we lost a lot of authors because the foundation didn't keep all promises done before the start of Wikivoyage. And the foundation accepted that RelatedSites is an important extension to keep.

RelatedSites is used at the German Wikivoyage because the user namespace is not supported by Wikidata. We need a set of interwiki-links like [[commons:...]] for sister projects similar to interlanguage links [[en:...]]

The extension was not meant for linking to user pages. The better way to handle user namespace links is by having Userboxes or by adding the links on the User page instead of the sidebar.

When I personally wrote the extension in 2007, and it was of course intended to link the user pages. If we remove RelatedSites then we have no substitute. If it would be allowed to add user pages to Wikidata we would not have any problems. But as I already told the interwiki sidebar links are missing which could be a substitute. At the German Wikivoyage we do not use userboxes in that extend as it was used in Wikipedias, and we do not use it for interwiki links -- it is unnecessary work for admins. And why we should use userboxes if we have "in other projects" on the sidebar?

We should add interwiki support to Wikidata's "other projects" first.

By the way we lost a lot of authors because the foundation didn't keep all promises done before the start of Wikivoyage. And the foundation accepted that RelatedSites is an important extension to keep.

Firstly, my apologies @RolandUnger. I did not know that you were an author of the extension.
The decision to remove RelatedSites was made in T185206: RelatedSites: Code stewardship review which is a better venue to discuss this. Let's take this question there and see if others have opinions on how this could be resolved.

Over two weeks, no reply for Portuguese Wikivoyage. It's a project we'd have to do ourselves. Closing out this task.

Keegan updated the task description. (Show Details)Aug 23 2018, 9:50 PM
Keegan closed this task as Resolved.